import React from 'react';
import { ApolloNumberProps } from '../editInterface';
import ApolloNumber from '@/apollo-table/component/base/edit/number';
import { isNumber } from '@/apollo-table/utils/utils';
import CellContainer from '../container';

const ApolloPercentage = (props: ApolloNumberProps) => {
    return (
        <ApolloNumber
            {...props}
            formatter={(value) => {
                if (isNumber(value)) {
                    return `${value}%`;
                }
                return '';
            }}
            parser={(value) => {
                if (value) {
                    return Number(value.replace('%', ''));
                }
                return '';
            }}
        />
    );
};

export default CellContainer(ApolloPercentage);
