import React, { useEffect, useState } from 'react';
import { Rate } from 'antd';
import { antiAssign } from '@/apollo-table/utils/utils';
import s from './index.less';
import { ApolloRateProps } from '../editInterface';
import CellContainer from '../container';

const ApolloRate = (props: ApolloRateProps) => {
    const { onChange } = props;
    const selfProps = antiAssign(props, ['columnConfig', 'onChange']);

    const changeValue = (value) => {
        if (typeof onChange === 'function') {
            onChange(value);
        }
    };
    return <Rate className={s.rate} {...selfProps} onChange={changeValue} />;
};
export default CellContainer(ApolloRate);
