import React from 'react';
import Search from '../../extra/associationSearch';
import { message } from 'antd';
import { ApolloSearchProps } from '../editInterface';
import { antiAssign } from '@/apollo-table/utils/utils';
import CellContainer from '../container';
import s from './index.less';

const ApolloSearch = (props: ApolloSearchProps) => {
    const { onChange, maxCount, isMultiple, request, type } = props;
    const selfProps = antiAssign(props, ['columnConfig', 'onChange', 'isMultiple', 'options', 'request', 'maxCount']);
    const changeValue = (value) => {
        if (maxCount && maxCount < value.length) {
            message.warn(`最多选择${maxCount}个`);
            return;
        }
        if (typeof onChange === 'function') {
            onChange(value, value);
        }
    };

    if (isMultiple) {
        selfProps.mode = 'multiple';
    }
    return (
        <Search
            className={s.select}
            request={(val) => {
                return request({ name: val, fieldValueName: type });
            }}
            fieldNames={{ value: 'fieldValueValue', label: 'fieldValueName' }}
            {...selfProps}
            onChange={changeValue}
            initDataType="onfocus"
        />
    );
};
export default CellContainer(ApolloSearch);
