import React from 'react';
import { Input } from 'antd';
import styles from './styles.less';
import { antiAssign } from '@/apollo-table/utils/utils';
import { ApolloTextAreaProps } from '../editInterface';
import CellContainer from '../container';

const ApolloTextArea = (props: ApolloTextAreaProps) => {
    const { maxLength, onChange, value } = props;
    const selfProps = antiAssign(props, ['columnConfig', 'onChange']);

    const changeValue = (e) => {
        if (typeof onChange === 'function') {
            onChange(e.target.value);
        }
    };

    return (
        <div className={styles.container}>
            <Input.TextArea className={styles.input} {...selfProps} onChange={changeValue} />
            {!!maxLength && <span className={styles.wordNumber}>{`已输入${(value || '').length}/${maxLength}`}</span>}
        </div>
    );
};
export default CellContainer(ApolloTextArea);
